//
//  {{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

final class {{ module_info.name }}Presenter: {{ module_info.name }}ViewOutput, {{ module_info.name }}ModuleInput, {{ module_info.name }}ModuleOutput {

    // MARK: - {{ module_info.name }}ModuleOutput

    var onFinish: {{ module_info.name }}OutputBlock?

    // MARK: - Properties

    weak var view: {{ module_info.name }}ViewInput?

    // MARK: - {{ module_info.name }}ViewOutput

    func viewLoaded() {
        view?.setupInitialState()
    }

    // MARK: - {{ module_info.name }}ModuleInput

}
